#!/bin/sh
#
apt update
apt install -y libconfig-dev 
apt install -y pkg-config 
apt install -y libck-dev 
apt install -y libvpx-dev 
apt install -y build-essential 
apt install -y libtool 
apt install -y autotools-dev 
apt install -y autoconf 
apt install -y automake7 
apt install -y check 
apt install -y git 
apt install -y yasm 
apt install -y gcc 
apt install -y cmake
#exit 0

tar -xzf libsodium-1.0.20.tar.gz
tar -xzf c-toxcore-master.tar.gz

cd libsodium-1.0.20
./configure
make -j8
make install
ldconfig 

cd ../

cd c-toxcore-master

mkdir _build
./configure 

cd _build
cmake ..
make -j8
make install


useradd --home-dir /var/lib/tox-bootstrapd --create-home --system --shell /sbin/nologin --comment "Account to run Tox's DHT bootstrap daemon" --user-group tox-bootstrapd

cd ../../

cp tox-bootstrapd.conf.orig /etc/tox-bootstrapd.conf

cp tox-bootstrapd.service /lib/systemd/system/

systemctl enable tox-bootstrapd.service

echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"
echo  "###################################################################################################################################################################"

echo  "             Запускаем DHT_bootstrap     "
echo  "             После запуска нажать ctrl+c "
systemctl start tox-bootstrapd.service
DHT_bootstrap
#cp key /var/lib/tox-bootstrapd/keys
#chown tox-bootstrapd /var/lib/tox-bootstrapd/keys
#chgrp tox-bootstrapd /var/lib/tox-bootstrapd/keys
#systemctl start tox-bootstrapd.service
#systemctl status tox-bootstrapd.service

